=== modified file 'bzrlib/builtins.py'
--- bzrlib/builtins.py	2012-01-20 15:56:56 +0000
+++ bzrlib/builtins.py	2012-01-26 14:28:40 +0000
@@ -120,7 +120,14 @@
         except errors.NotBranchError:
             colocated = False
         else:
-            colocated = root._format.colocated_branches
+            try:
+                wt = control_dir.open_workingtree()
+            except (errors.NoWorkingTree, errors.NotLocalUrl):
+                colocated = False
+            else:
+                colocated = (
+                    root._format.colocated_branches and
+                    wt.bzrdir.control_url == wt.branch.bzrdir.control_url)
 
         if colocated:
             return urlutils.join_segment_parameters(this_url,

